Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.plugin
Class Jetty6MavenTagLibConfiguration

    java.lang.Object
      org.mortbay.jetty.webapp.TagLibConfiguration
          org.mortbay.jetty.plugin.Jetty6MavenTagLibConfiguration

All Implemented Interfaces:
  Serializable, Configuration

    public class Jetty6MavenTagLibConfiguration

extends TagLibConfiguration

Author:
  janb
See Also:
  Serialized Form

Constructor Summary
`Jetty6MavenTagLibConfiguration()`

Method Summary
`List` | `getClassPathFiles()`
`protected List` | `getJarResourceList()`
`void` | `setClassPathFiles(List classPathFiles)`

Methods inherited from class org.mortbay.jetty.webapp.TagLibConfiguration
`configureClassLoader, configureDefaults, configureWebApp, deconfigureWebApp, getServerJarResourceList, getServerTagLibClasses, getWebAppContext, setServerTagLibClasses, setWebAppContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Jetty6MavenTagLibConfiguration

    public Jetty6MavenTagLibConfiguration()

Method Detail

### setClassPathFiles

    public void setClassPathFiles(List classPathFiles)

### getClassPathFiles

    public List getClassPathFiles()

### getJarResourceList

    protected List getJarResourceList()
                               throws MalformedURLException,
                                      IOException

  Overrides:
    `getJarResourceList` in class `TagLibConfiguration`
  Returns:
    List of `Resource`s for jar files in which to search for TLDs
  Throws:
    `MalformedURLException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.